%function finds peak then calculates fwhm and uses fwhm to calculate
%standard deviation and then collects all data larger than 2sigma and sums
%it to give a count range


function calcpeak
files = dir('0_*.csv');
%write to excel file with all the files by writing to a row 
xlswrite('peaks.xlsx',["Sample","Peak","FWHM","STD","2StdSum"],1,"A1")

    for i = 1:numel(files)
       fname=files(i).name;
       data = csvread(fname);
       energy = data(40:end,1);
       measurements= data(40:end,2);
       [~,index]=max(measurements);
       maxVal = max(measurements);
       %find fwhm
       above = measurements >= maxVal/2;%(boolean vector)
       lowerIndex = find(above,1);
       upperIndex = find(above,1,'last');
       fwhm = energy(upperIndex) - energy(lowerIndex);
       sigma = fwhm/(2*sqrt(2*log(2)));  
       centerIndex = find(measurements==max(measurements),1); %Find index of center
       minEnergy = energy(centerIndex) - 2*sigma;
       maxEnergy = energy(centerIndex) + 2*sigma;
       %range of twostd and then sums the values in that range
       rtwosig = energy>=minEnergy;
       rtwosig = energy<=maxEnergy;
       twosig = sum(measurements(rtwosig));
       %writes to file
       disp(fname);
       disp(twosig);
       xlswrite('peaks.xlsx',[string(fname(3:end-4)),energy(index),fwhm,sigma,twosig],1,strcat('A',int2str(i+1)));
    end
    
end