%Estimate Cesium amounts of dogs for each sample - Taylor Trottier
%February 2018
function cesCalc
    %read peaks
    sumg = xlsread('peaks.xlsx','F2:F9');
    bodyactivity=sumg*44;
    %calculate relative activity to cs-137
    masspg=bodyactivity/3.2e12;
    %calculate mass of 5,10,15,20kg dogs
    am5=5e3*masspg;
    am10=10e3*masspg;
    am15=15e3*masspg;
    am20=20e3*masspg;
    %convert everything to micrograms
    am5=1e6*am5;am10=1e6*am10;am15=1e6*am15;am20=1e6*am20;
    %round to 2 decimal
    am5=round(am5*100)/100;am10=round(am10*100)/100; am15=round(am15*100)/100; am20=round(am20*100)/100;
    %create a table variable
    finaltab=table(['Sample 1';'Sample 2';'Sample 3';'Sample 4';'Sample 5';'Sample 6';'Sample 7';'Sample 9'],sumg,bodyactivity,masspg,am5,am10,am15,am20)
    %create table as csv
    writetable(finaltab);
end